Bug 1480490 - [Huawei] [Defect] [Cinder] - Huawei Storage Cinder driver fixs metadata issues by change private date storing place in Redhat openstack 11
[Huawei] [Defect] [Cinder] - Huawei Storage Cinder driver fixs metadata issue...
Status: ON_QA
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-cinder (Show other bugs)
11.0 (Ocata)
Unspecified Unspecified
medium Severity high
: ---
: 11.0 (Ocata)
Assigned To: Eric Harney
Avi Avraham
: OtherQA, TestOnly, Triaged, ZStream
Depends On: 1481790
Blocks:
  Show dependency treegraph
 
Reported: 2017-08-11 05:07 EDT by zhouweigang09
Modified: 2017-10-10 14:09 EDT (History)
4 users (show)

See Also:
Fixed In Version: openstack-cinder-10.0.4-2.el7ost
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
OpenStack gerrit 486025 None None None 2017-08-17 15:04 EDT

  None (edit)
Description zhouweigang09 2017-08-11 05:07:21 EDT
Description of problem:

Change Huawei driver's private data storing place to fix issues below:

This patch is to fix issues at two circumstances:
1. Create volume from image by non-admin user, this operation will fail because Huawei driver tries to record LUN WWN at admin metadata, however non-admin user doesn't have the admin metadata access right, so exception is raised.

2. Restore volume backup to 3rd volume, this operation will also restore backup volume's metadata to the 3rd volume, but the data recorded in metadata is strong correlative to the corresponding LUN at backend storage, so this will break the one-to-one relationship between the restored volume and the LUN at storage.

To fix the issues above, we moved all LUN private data to provider_location, stored as a dict string, not use admin metadata or metadata to store LUN private data.

So it's necessary to backport to redhat openstack 11(Ocata) stable branch for Huawei cinder driver.



Version-Release number of selected component (if applicable):
Redhat Openstack 11, python-cinder

How reproducible:

Steps to Reproduce:
1. login as no-admin user
2. excute create a volume from image task
3. create task failed

Actual results:
create task fails due to admin metadata access Permission denied。


Expected results:
Create a volume from image from non-admin user successfully.


Additional info:
The openstack community in Newton has fixed this bug in blueprint:
https://review.openstack.org/#/c/486025

Primary Red Hat contact: 
        a. Name: Jingjing Niu 
        b. Email:   jniu@redhat.com
 Primary Partner contact: 
        a. Name: Taifu Xiong
        b. Email:  xiongtaifu@huawei.com
        c. Primary Phone: 15922901778
Comment 1 Eric Harney 2017-09-05 10:19:59 EDT
This may require this follow-up:

https://review.openstack.org/#/c/500746/
Comment 2 zhouweigang09 2017-09-14 21:30:13 EDT
Hi ,

This issue is fixed in below bugzilla id which is already released.  
The version is openstack-cinder-10.0.4-3.el7ost.noarch

https://bugzilla.redhat.com/show_bug.cgi?id=1481790
Comment 3 Lon Hohberger 2017-10-10 14:09:12 EDT
According to our records, this should be resolved by openstack-cinder-10.0.4-3.el7ost.  This build is available now.

Note You need to log in before you can comment on or make changes to this bug.